IrrKlang.NET |

# IFileFactory Members

IFileFactory overview

#### Public Instance Methods

openFile | Opens a file for read access. Derive your own class from IFileFactory, overwrite this method and return your own System::IO::Stream to overwrite file access of irrKlang. Use ISoundEngine::addFileFactory() to let irrKlang know about your class. Example code can be found in the tutorial 04.OverrideFileAccess.

#### See Also

IFileFactory Interface | IrrKlang Namespace